import { Order, Options, Network, OrderMessage, SnapshotMessage } from '../types';
import { TokenInterface } from '@melonproject/token-math/token';
export interface Orderbook {
    quote: TokenInterface;
    base: TokenInterface;
    network: Network;
    bids: Order[];
    asks: Order[];
}
export declare const initializeOrderbook: (options: Options) => {
    quote: TokenInterface;
    base: TokenInterface;
    network: Network;
    bids: any[];
    asks: any[];
};
export declare const aggregateOrderbookFromOrders: (carry: Orderbook, current: Order[]) => {
    bids: Order[];
    asks: Order[];
    quote: TokenInterface;
    base: TokenInterface;
    network: Network;
};
export declare const aggregateOrderbookFromEvents: (carry: Orderbook, current: OrderMessage | SnapshotMessage) => Orderbook;
